Extending Qt Creator Manual | Connection

Extending Qt Creator Manual 4.3.0

# Connection Class

(ProjectExplorer::Connection)

- List of all members, including inherited members

## Public Functions

| Connection() = default
| Connection(const Connection &other)
| Connection(Connection &&other)
| Connection(const T &data)
const T & | as() const
bool | is() const
void | operator=(Connection other)

## Member Function Documentation

### `[default]` Connection::Connection()

Default constructs an instance of Connection.

### Connection::Connection(const Connection &other)

Copy constructor.

### Connection::Connection(Connection &&other)

Move-copy constructor.

### Connection::Connection(const T &data)

Default constructs an instance of Connection.

### const T &Connection::as() const

### bool Connection::is() const

### void Connection::operator=(Connection other)